Description

Hi there,

I found some configuration in some of the Framework Packages corresponding the persistence:core:context. The comment just says
that this should be set by the enviroment.

This is quite a good idea, but just for Apache Users. I tried FLOW3 on IIS, and as you self wrote on your Kickstart Tutorial - you
haven't tested it on IIS.

Well the point is... IIS doesn't support VirtualHosts, so there is no way for me to define the needed context.

I've done a workaround and added a line of code to the Web/index.php
putenv("FLOW3_CONTEXT=Development")

But this won't be a great deal if i have a config like the core:context.

Maybe you could give this setting in the global Settings.yaml a try.

History
#1 - 2012-02-10 15:07 - Rens Admiraal

Just some extra info related to this issue:

On http://www.iis.net/ConfigReference/system.webServer/fastCgi/application/environmentVariables you can find documentation how you can set
environment variables using Microsoft Administration Pack for IIS 7.0 (http://www.iis.net/expand/AdministrationPack).

This still seems to be a global setting for the entire IIS server though.

#2 - 2012-03-07 20:46 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#3 - 2012-03-07 20:47 - Karsten Dambekalns
- Tracker changed from Bug to Feature

#4 - 2012-03-07 20:51 - Karsten Dambekalns
- Subject changed from reactivate core:context for iis to Allow configuration of context without environment variable (needed for IIS)
- Category set to Core
- Priority changed from Should have to Could have
- Has patch set to No
